apiVersion: apps/v1
kind: Deployment
metadata:
  name: todo-app-deployment
  labels:
    app: todo-app
spec:
  replicas: 3
  strategy:
    type: 'RollingUpdate'
  selector:
    matchLabels:
      app: todo-app
  template:
    metadata:
      labels:
        app: todo-app
    spec:
      imagePullSecrets:
      - name: 'gitlab-registry-credentials'
      containers:
      - image: devops-app
        name: todo-app-container
        ports:
        - containerPort: 3000
          # imagePullPolicy: IfNotPresent
        # env for mongodb username and pass?
        envFrom:
        - configMapRef:
          name: todo-app-config
        - secretRef:
          name: todo-app-secrets
